## r-cran-rstatix 0.6.0

=== DESCRIPTION ===
Package: rstatix
Type: Package
Title: Pipe-Friendly Framework for Basic Statistical Tests
Version: 0.6.0
Authors@R: c(
    person("Alboukadel", "Kassambara", role = c("aut", "cre"), email = "alboukadel.kassambara@gmail.com"))
Description: Provides a simple and intuitive pipe-friendly framework, coherent with the 'tidyverse' design philosophy, 
    for performing basic statistical tests, including t-test, Wilcoxon test, ANOVA, Kruskal-Wallis and correlation analyses. 
    The output of each test is automatically transformed into a tidy data frame to facilitate visualization. 
    Additional functions are available for reshaping, reordering, manipulating and visualizing correlation matrix.  
    Functions are also included to facilitate the analysis of factorial experiments, including purely 'within-Ss' designs 
    (repeated measures), purely 'between-Ss' designs, and mixed 'within-and-between-Ss' designs. 
    It's also possible to compute several effect size metrics, including "eta squared" for ANOVA, "Cohen's d" for t-test and 
    'Cramer V' for the association between categorical variables. 
    The package contains helper functions for identifying univariate and multivariate outliers, assessing normality and homogeneity of variances.
License: GPL-2
LazyData: TRUE
Encoding: UTF-8
Depends: R (>= 3.3.0)
Imports: stats, utils, tidyr (>= 1.0.0), purrr, broom (>= 0.5.6), rlang
        (>= 0.3.1), tibble (>= 2.1.3), dplyr (>= 0.7.1), magrittr,
        corrplot, tidyselect (>= 1.0.0), car, generics (>= 0.0.2)
Suggests: knitr, rmarkdown, ggpubr, graphics, emmeans, coin, boot,
        testthat, spelling
URL: https://rpkgs.datanovia.com/rstatix/
BugReports: https://github.com/kassambara/rstatix/issues
RoxygenNote: 7.1.0
Collate: 'utilities.R' 'add_significance.R' 'adjust_pvalue.R'
        'factorial_design.R' 'utilities_two_sample_test.R'
        'anova_summary.R' 'anova_test.R' 'as_cor_mat.R' 'binom_test.R'
        'box_m.R' 'chisq_test.R' 'cochran_qtest.R' 'cohens_d.R'
        'cor_as_symbols.R' 'replace_triangle.R' 'pull_triangle.R'
        'cor_mark_significant.R' 'cor_mat.R' 'cor_plot.R'
        'cor_reorder.R' 'cor_reshape.R' 'cor_select.R' 'cor_test.R'
        'counts_to_cases.R' 'cramer_v.R' 'df.R' 'doo.R' 't_test.R'
        'dunn_test.R' 'emmeans_test.R' 'eta_squared.R' 'factors.R'
        'fisher_test.R' 'freq_table.R' 'friedman_test.R'
        'friedman_effsize.R' 'games_howell_test.R' 'get_comparisons.R'
        'get_manova_table.R' 'get_mode.R' 'get_pvalue_position.R'
        'get_summary_stats.R' 'get_test_label.R' 'kruskal_effesize.R'
        'kruskal_test.R' 'levene_test.R' 'mahalanobis_distance.R'
        'make_clean_names.R' 'mcnemar_test.R' 'multinom_test.R'
        'outliers.R' 'p_value.R' 'prop_test.R' 'prop_trend_test.R'
        'reexports.R' 'sample_n_by.R' 'shapiro_test.R' 'sign_test.R'
        'tukey_hsd.R' 'utils-manova.R' 'utils-pipe.R'
        'welch_anova_test.R' 'wilcox_effsize.R' 'wilcox_test.R'
Language: en-US
NeedsCompilation: no
Packaged: 2020-06-18 19:53:46 UTC; kassambara
Author: Alboukadel Kassambara [aut, cre]
Maintainer: Alboukadel Kassambara <alboukadel.kassambara@gmail.com>
Repository: CRAN
Date/Publication: 2020-06-18 20:20:02 UTC

=== debian/changelog ===
r-cran-rstatix (0.6.0-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Mon, 29 Jun 2020 10:06:32 +0200

r-cran-rstatix (0.5.0-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 12 Jun 2020 06:54:54 +0200

r-cran-rstatix (0.5.0-1) unstable; urgency=medium

  * Initial release (closes: #960375)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 12 May 2020 09:01:35 +0200

=== debian/control ===
Source: r-cran-rstatix
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Dylan Aïssi <daissi@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-tidyr (>= 1.0.0),
               r-cran-purrr,
               r-cran-broom (>= 0.5.6),
               r-cran-rlang,
               r-cran-tibble (>= 2.1.3),
               r-cran-dplyr (>= 0.7.1),
               r-cran-magrittr,
               r-cran-corrplot,
               r-cran-tidyselect (>= 1.0.0),
               r-cran-car,
               r-cran-generics
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rstatix
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rstatix.git
Homepage: https://cran.r-project.org/package=rstatix
Rules-Requires-Root: no

Package: r-cran-rstatix
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Pipe-Friendly Framework for Basic Statistical Tests
 Provides a simple and intuitive pipe-friendly framework, coherent with
 the 'tidyverse' design philosophy, for performing basic statistical
 tests, including t-test, Wilcoxon test, ANOVA, Kruskal-Wallis and
 correlation analyses. The output of each test is automatically
 transformed into a tidy data frame to facilitate visualization.
 Additional functions are available for reshaping, reordering,
 manipulating and visualizing correlation matrix. Functions are also
 included to facilitate the analysis of factorial experiments, including
 purely 'within-Ss' designs (repeated measures), purely 'between-Ss'
 designs, and mixed 'within-and-between-Ss' designs. It's also possible
 to compute several effect size metrics, including "eta squared" for
 ANOVA, "Cohen's d" for t-test and 'Cramer V' for the association between
 categorical variables. The package contains helper functions for
 identifying univariate and multivariate outliers, assessing normality
 and homogeneity of variances.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/rstatix_([-\d.]*)\.tar\.gz

## r-cran-rstatix 0.7.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rstatix
 Type: Package
 Title: Pipe-Friendly Framework for Basic Statistical Tests
-Version: 0.6.0
+Version: 0.7.0
 Authors@R: c(
     person("Alboukadel", "Kassambara", role = c("aut", "cre"), email = "alboukadel.kassambara@gmail.com"))
 Description: Provides a simple and intuitive pipe-friendly framework, coherent with the 'tidyverse' design philosophy, 
@@ -17,7 +17,7 @@
 LazyData: TRUE
 Encoding: UTF-8
 Depends: R (>= 3.3.0)
-Imports: stats, utils, tidyr (>= 1.0.0), purrr, broom (>= 0.5.6), rlang
+Imports: stats, utils, tidyr (>= 1.0.0), purrr, broom (>= 0.7.4), rlang
         (>= 0.3.1), tibble (>= 2.1.3), dplyr (>= 0.7.1), magrittr,
         corrplot, tidyselect (>= 1.0.0), car, generics (>= 0.0.2)
 Suggests: knitr, rmarkdown, ggpubr, graphics, emmeans, coin, boot,
@@ -41,13 +41,13 @@
         'kruskal_test.R' 'levene_test.R' 'mahalanobis_distance.R'
         'make_clean_names.R' 'mcnemar_test.R' 'multinom_test.R'
         'outliers.R' 'p_value.R' 'prop_test.R' 'prop_trend_test.R'
-        'reexports.R' 'sample_n_by.R' 'shapiro_test.R' 'sign_test.R'
-        'tukey_hsd.R' 'utils-manova.R' 'utils-pipe.R'
+        'reexports.R' 'remove_ns.R' 'sample_n_by.R' 'shapiro_test.R'
+        'sign_test.R' 'tukey_hsd.R' 'utils-manova.R' 'utils-pipe.R'
         'welch_anova_test.R' 'wilcox_effsize.R' 'wilcox_test.R'
 Language: en-US
 NeedsCompilation: no
-Packaged: 2020-06-18 19:53:46 UTC; kassambara
+Packaged: 2021-02-13 11:06:55 UTC; kassambara
 Author: Alboukadel Kassambara [aut, cre]
 Maintainer: Alboukadel Kassambara <alboukadel.kassambara@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-06-18 20:20:02 UTC
+Date/Publication: 2021-02-13 11:30:02 UTC

=== debian/changelog ===
r-cran-rstatix (0.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Aug 2021 12:05:01 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-tidyr (>= 1.0.0),
                r-cran-purrr,
-               r-cran-broom (>= 0.5.6),
+               r-cran-broom (>= 0.7.4),
                r-cran-rlang,
                r-cran-tibble (>= 2.1.3),
                r-cran-dplyr (>= 0.7.1),
@@ -18,7 +18,7 @@
                r-cran-tidyselect (>= 1.0.0),
                r-cran-car,
                r-cran-generics
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rstatix
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rstatix.git
 Homepage: https://cran.r-project.org/package=rstatix

## r-cran-rstatix 0.7.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rstatix
 Type: Package
 Title: Pipe-Friendly Framework for Basic Statistical Tests
-Version: 0.7.0
+Version: 0.7.2
 Authors@R: c(
     person("Alboukadel", "Kassambara", role = c("aut", "cre"), email = "alboukadel.kassambara@gmail.com"))
 Description: Provides a simple and intuitive pipe-friendly framework, coherent with the 'tidyverse' design philosophy, 
@@ -14,17 +14,16 @@
     'Cramer V' for the association between categorical variables. 
     The package contains helper functions for identifying univariate and multivariate outliers, assessing normality and homogeneity of variances.
 License: GPL-2
-LazyData: TRUE
 Encoding: UTF-8
 Depends: R (>= 3.3.0)
 Imports: stats, utils, tidyr (>= 1.0.0), purrr, broom (>= 0.7.4), rlang
         (>= 0.3.1), tibble (>= 2.1.3), dplyr (>= 0.7.1), magrittr,
-        corrplot, tidyselect (>= 1.0.0), car, generics (>= 0.0.2)
+        corrplot, tidyselect (>= 1.2.0), car, generics (>= 0.0.2)
 Suggests: knitr, rmarkdown, ggpubr, graphics, emmeans, coin, boot,
         testthat, spelling
 URL: https://rpkgs.datanovia.com/rstatix/
 BugReports: https://github.com/kassambara/rstatix/issues
-RoxygenNote: 7.1.0
+RoxygenNote: 7.2.3
 Collate: 'utilities.R' 'add_significance.R' 'adjust_pvalue.R'
         'factorial_design.R' 'utilities_two_sample_test.R'
         'anova_summary.R' 'anova_test.R' 'as_cor_mat.R' 'binom_test.R'
@@ -46,8 +45,8 @@
         'welch_anova_test.R' 'wilcox_effsize.R' 'wilcox_test.R'
 Language: en-US
 NeedsCompilation: no
-Packaged: 2021-02-13 11:06:55 UTC; kassambara
+Packaged: 2023-02-01 20:38:22 UTC; kassambara
 Author: Alboukadel Kassambara [aut, cre]
 Maintainer: Alboukadel Kassambara <alboukadel.kassambara@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-02-13 11:30:02 UTC
+Date/Publication: 2023-02-01 21:20:02 UTC

=== debian/changelog ===
r-cran-rstatix (0.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Sync Test-Depends with Suggests

 -- Andreas Tille <tille@debian.org>  Mon, 06 Feb 2023 14:05:51 +0100

r-cran-rstatix (0.7.1-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andreas Tille ]
  * Disable reprotest
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 17 Nov 2022 13:49:01 +0100

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,13 @@
                r-cran-broom (>= 0.7.4),
                r-cran-rlang,
                r-cran-tibble (>= 2.1.3),
-               r-cran-dplyr (>= 0.7.1),
+               r-cran-dplyr,
                r-cran-magrittr,
                r-cran-corrplot,
-               r-cran-tidyselect (>= 1.0.0),
+               r-cran-tidyselect (>= 1.2.0),
                r-cran-car,
                r-cran-generics
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rstatix
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rstatix.git
 Homepage: https://cran.r-project.org/package=rstatix

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-knitr,
         r-cran-rmarkdown,
         r-cran-ggpubr,
#         r-cran-graphics,
         r-cran-emmeans,
         r-cran-coin,
         r-cran-boot,
         r-cran-testthat,
         r-cran-spelling
Restrictions: allow-stderr

## r-cran-rstatix 0.7.3

=== debian/changelog ===
r-cran-rstatix (0.7.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 14 Jan 2026 18:06:59 +0900

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,20 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-tidyr (>= 1.0.0),
+               r-cran-tidyr,
                r-cran-purrr,
-               r-cran-broom (>= 0.7.4),
+               r-cran-broom,
                r-cran-rlang,
-               r-cran-tibble (>= 2.1.3),
+               r-cran-tibble,
                r-cran-dplyr,
                r-cran-magrittr,
                r-cran-corrplot,
-               r-cran-tidyselect (>= 1.2.0),
+               r-cran-tidyselect,
                r-cran-car,
-               r-cran-generics
-Standards-Version: 4.6.2
+               r-cran-generics,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rstatix
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rstatix.git
 Homepage: https://cran.r-project.org/package=rstatix

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-ggpubr,
        r-cran-emmeans,
        r-cran-coin,
        r-cran-boot,
        r-cran-testthat,
        r-cran-spelling
Restrictions: allow-stderr
